# cClient Class Reference

List of all members.

## Public Member Functions

| cClient (SOCKADDR_IN &saSockAddr, BOOL fAddToHash=TRUE)
void | AddPacket (SERVER eServer, BYTE *pbData, WORD wSize, WORD wGroup)
void | AddPacket (SERVER eServer, cMessage &cmPacket, WORD wGroup)
void | SendQueuedPackets ()
void | ProcessPacket_CS (cRecvPacket *pcRecvPacket)
void | ProcessPacket_WS (cRecvPacket *pcRecvPacket)

## Static Public Member Functions

static void | Hash_Load ()
static cClient * | Hash_New (SOCKADDR_IN &saSockAddr)
static void | Hash_Erase ()
static void | Hash_Remove (cClient *pcClient)
static cClient * | FindClient (DWORD dwGUID)
static cClient * | FindClient (char *szName)
static cAvatar * | FindAvatar (DWORD dwGUID)
static cAvatar * | FindAvatar (char *szName)
static void | SendOffAllPackets ()
static void | SendToAllClients (cMessage &cmData, WORD wGroup)
static void | SendToAllClients (BYTE *pbData, WORD wSize, WORD wGroup)
static void | SendToAllOtherClients (cClient *pcClientOrg, BYTE *pbData, WORD wSize, WORD wGroup)
static void | SendToAllOtherClients (cClient *pcClientOrg, cMessage &cmData, WORD wGroup)

## Public Attributes

SOCKADDR_IN | m_saSockAddr
cClient * | m_pcNext
cClient * | m_pcPrev

## Friends

class | cMasterServer
class | cWorldManager
class | cCommandParser
class | cAllegiance
class | cFellowship
class | cNPC
class | cAltar
class | cDoor
class | cChest
class | cLifestone
class | cWeapon
class | cAbiotic
class | cPortal
class | cArmor
class | cCovenant
class | cHouse
class | cHooks
class | cStorage
class | cMonster
class | cMonsterServer
class | cObject
class | cAvatar
class | cPets
class | cCorpse
class | cWorldObject
class | cFood
class | cFoodContainer
class | cMerchantSign
class | cScrolls
class | cHealingKits
class | cGems
class | cBooks
class | cManaStones
class | cLockpicks
class | cWands
class | cTradeSkillMats
class | cSpellComps
class | cAmmo
class | cSalvage
class | cPyreals
class | cJewelry
class | cHealingCon
class | cWandCon
class | cCompCon
class | cTradeNotes
class | cPlants
class | cClothes
class | cPack
class | cShield
class | cFoci
class | TreasureGen
class | cMisc
class | cWarSpell
class | SimpleAI
class | cEnchantment

## Member Function Documentation

cAvatar * cClient::FindAvatar | ( | char * | szName | ) | `[static]`

Finds an avatar.

This function is called when a particular avatar needs to be found. The search is performed by searching for the client's avatar's name.

Parameters:

  | szName | - The client's avatar's name.

Returns:
  *cAvatar - A pointer to the avatar.

cAvatar * cClient::FindAvatar | ( | DWORD | dwGUID | ) | `[static]`

Finds an avatar.

This function is called when a particular avatar needs to be found. The search is performed by searching for the client's avatar's GUID.

Parameters:

  | dwGUID | - The client's avatar's GUID.

Returns:
  *cAvatar - A pointer to the avatar.

cClient * cClient::FindClient | ( | char * | szName | ) | `[static]`

Finds a client.

This function is called when a particular client needs to be found. The search is performed by searching for the client's avatar's name.

Parameters:

  | szName | - The client's avatar's name.

Returns:
  *cClient - A pointer to the client.

cClient * cClient::FindClient | ( | DWORD | dwGUID | ) | `[static]`

Finds a client.

This function is called when a particular client needs to be found. The search is performed by searching for the client's avatar's GUID.

Parameters:

  | dwGUID | - The client's avatar's GUID.

Returns:
  *cClient - A pointer to the client.

void cClient::Hash_Erase | ( |  | ) | `[static]`

Erases all clients from the client hash list.

void cClient::Hash_Remove | ( | cClient * | pcClient | ) | `[static]`

Removes a client from the client hash list.

This function is called when a client disconnects from the server.

Parameters:

  | *pcClient | - A pointer to the client to be removed.

void cClient::ProcessPacket_CS | ( | cRecvPacket * | pcRecvPacket | ) |

Processes Character Server packets

This function is called when the client sends a general Character Server message. These encompass the actions performed by a client when outside of the server game world.

void cClient::ProcessPacket_WS | ( | cRecvPacket * | pcRecvPacket | ) |

Processes World Server packets

This function is called when the client sends a general World Server message. These encompass the actions performed by a client's avatar.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Client.h
- E:/uas2/Server/CharacterServer.cpp
- E:/uas2/Server/Client.cpp
- E:/uas2/Server/WorldServer.cpp